import { showDanger } from "./index"
import request from "./request"

export default (file, imgType, index) => {
  const formData = new FormData()
  formData.append("resourceImg", file)
  formData.append("imgType", imgType)
  index && formData.append("index", index)
  return request({
    url: "/upload-img",
    data: formData,
    toast: "请稍候...",
  })
    .then((res) => {
      if (res.result) {
        return res.filepath
      } else {
        showDanger(res.errMessage)
      }
    })
    .catch((e) => {
      console.error(e)
      showDanger(e.message)
    })
}
